Subject: stat() bug?
From: [email-masked] (Haynes, Dan)

15 Nov 1998 14:21:35 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
To: [email-masked]

Greetings,

  I don't know if this is expected behaviour under Unix or not (I'm an NT
kind of guy) but I think this is a bug: stat() with an empty file name
returns 0. This is reproducible with:

#include <sys/stat.h>

int main( void )
{
int rc ;
struct stat	statBuffer ;

  rc = stat( "", &statBuffer ) ;
  return ( 0 ) ;
}

When compiled with gcc 2.7-B19, rc is 0. The same code compiled with Borland
C++ V5.02 returns -1.

Is this a Unix-ism, or did I find an oops?

Regards,

  Dan Haynes

	

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".